Bug 3957 - Claws-Mail 64bit crashes when saving a draft
Summary: Claws-Mail 64bit crashes when saving a draft
Status: RESOLVED FIXED
Alias: None
Product: Claws Mail (Windows)
Classification: Unclassified
Component: default (show other bugs)
Version: 3.16.0
Hardware: PC Windows 10
: P3 normal
Assignee: users
URL:
: 3942 (view as bug list)
Depends on:
Blocks:
 
Reported: 2018-02-01 21:36 CET by mergia
Modified: 2018-10-31 07:46 CET (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mergia 2018-02-01 21:36:22 CET
When I try to write a new message in Claws-Mail (64bit version) under Windows 10, the program crashes each time I write more than about 30 characters. The overall amount of characters in the message does not matter, it must be either the time or the amount of newly added characters.

This only happens as long as spell-check is activated. If I disable spellcheck, the program is stable, and I can write and reply to messages with text of any length.

Steps to Reproduce
Reply to any message with spell-check activated and write more than about 30 characters.

Actual Results
The application crashes without any error messages.

Expected Results
The window stays open till I either close it or send the message.

Workaround
Disable automatic spell check.
Comment 1 Andrej Kacian 2018-02-01 22:40:18 CET
What if you disable automatic draft saving every X characters (on Writing page in main preferences) and leave spell checking enabled? Does it still crash?

I was just able to reproduce this crash once, but not anymore, which is weird.
Comment 2 mergia 2018-02-02 18:34:38 CET
Disabling auto save also prevents the crash.

Strangely enough, any option only changes the program's stability after I completely reboot the computer / windows. That is, if I start with a stable connection, I can compose messages with both options enabled. However, if I restart the computer while Claws had both options enabled, it will still crash if I try to write a message even if I disable them before actually writing the message.
Comment 3 users 2018-02-28 19:47:03 CET
Changes related to this bug have been committed.
Please check latest Git and update the bug accordingly.
You can also get the patch from:
http://git.claws-mail.org/

++ ChangeLog	2018-02-28 19:47:03.203159083 +0100
http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=a73cd56b0852e8e249abe4ae285946f10dc4cf81
Merge: ebbb94b bafb3e4
Author: Colin Leroy <colin@colino.net>
Date:   Wed Feb 28 19:47:02 2018 +0100

    Merge branch 'master' of file:///home/git/claws

http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=bafb3e43d73525659b4b391526880f5119e06af2
Author: Andrej Kacian <ticho@claws-mail.org>
Date:   Wed Feb 28 19:43:43 2018 +0100

    Fix a dumb double-free on Windows.
    
    Closes bug 3957: Claws-Mail 64bit crashes when saving a draft
Comment 4 Cristian Secară 2018-03-01 07:58:59 CET
I assume bug 3942 should be closed too ?

Cristi
Comment 5 Andrej Kacian 2018-03-01 12:28:23 CET
I want to test it also on different Windows version before closing (I did not have my laptop with me yesterday), but yes, it's the same bug. Thanks for the reminder.
Comment 6 mergia 2018-03-28 22:15:13 CEST
(In reply to comment #4)
> I assume bug 3942 should be closed too ?

As reporter, you can close bug 3942 yourself by clicking on "mark as duplicate" beneath the message window and entering the number of this bug (3957). That will link your bug report to this one and vice versa.
Comment 7 Andrej Kacian 2018-03-30 07:58:39 CEST
*** Bug 3942 has been marked as a duplicate of this bug. ***